import { PropType } from "vue";
import { ScrollBarEmitsLoad } from "./type";
export type { ScrollBarEmitsLoad } from "./type";
declare const _default: import("vue").DefineComponent<{
    /**滚动条的高度 不传则根据父元素的高度 */
    height: {
        type: (StringConstructor | NumberConstructor)[];
    };
    visualPrevNumber: {
        default: number;
        type: NumberConstructor;
    };
    visualNextNumber: {
        default: number;
        type: NumberConstructor;
    };
    /**获取可视范围列表节流 */
    throttle: {
        type: (NumberConstructor | BooleanConstructor)[];
        default: boolean;
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    style: PropType<import("vue").StyleValue | undefined>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    getVisualList: (VisualList: string[]) => true;
    /**
     *
     * @param data top 距离顶部距离，0为到顶 maxTop为底 left同理
     * @returns
     */
    scroll: (data: {
        top: number;
        left: number;
        maxTop: number;
        maxLeft: number;
    }) => true;
    load: (data: ScrollBarEmitsLoad) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**滚动条的高度 不传则根据父元素的高度 */
    height: {
        type: (StringConstructor | NumberConstructor)[];
    };
    visualPrevNumber: {
        default: number;
        type: NumberConstructor;
    };
    visualNextNumber: {
        default: number;
        type: NumberConstructor;
    };
    /**获取可视范围列表节流 */
    throttle: {
        type: (NumberConstructor | BooleanConstructor)[];
        default: boolean;
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    style: PropType<import("vue").StyleValue | undefined>;
}>> & {
    onLoad?: ((data: ScrollBarEmitsLoad) => any) | undefined;
    onScroll?: ((data: {
        top: number;
        left: number;
        maxTop: number;
        maxLeft: number;
    }) => any) | undefined;
    onGetVisualList?: ((VisualList: string[]) => any) | undefined;
}, {
    width: string | number;
    visualPrevNumber: number;
    visualNextNumber: number;
    throttle: number | boolean;
}, {}>;
export default _default;
